
*
*        Example Pot11
*        file = Pot11.asm
*
*                       Register Equates
OPTION       equ     $1039        * A/D On
ADCTL        equ     $1030        * A/D control
ADR4         equ     $1034        * A/D result
* Buffalo routines
OUTCRLF      equ     $FFC4        * car/line feed
OUT1BYT      equ     $FFBB        * display byte as hex
*
* This subroutine will turn on the A/D convertor
             org     $0100
             ldaa    #$80         * turn A/D on 
             staa    OPTION
             ldaa    #$34         * A/D control
             staa    ADCTL        * 
*
* read analog value and display
*             
PotLoop
             jsr     OUTCRLF      * send car/LF
             ldx     #ADR4        * point to analog port
             jsr     OUT1BYT      * send hex value
             bsr     Delay        * delay
             bra     PotLoop
* Delay
Delay
             ldy     #$FFFF       * delay value
Delay1
             dey                  * decrement count
             bne     Delay1       * repeat until done
             rts                  * return
*
             
